import request from '@/utils/request.ts'

// 商品查询
export function productList(data) {
  return request({
    url: '/item/product/list',
    method: 'post',
    data
  })
}

export function productExport(data) {
  return request({
    url: '/item/product/export',
    method: 'post',
    data,
    responseType: 'blob',
  })
}

// 获取品牌
export function brandListList(params) {
  return request({
    url: '/item/product/brandList',
    method: 'get',
    params,
  })
}

export function delListDetail(data) {
  return request({
    url: '/item/product/del',
    method: 'delete',
    data,
  })
}
